org.flexdock.view

## Class ViewProps

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable
    - - org.flexdock.util.TypedHashtable
      - - org.flexdock.docking.props.BasicDockablePropertySet
        - - org.flexdock.docking.props.ScopedDockablePropertySet
          - - org.flexdock.view.ViewProps

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map, DockingConstants, DockablePropertySet, ScopedMap

    public class ViewProps
    extends ScopedDockablePropertySet

Author:
  Christopher Butler
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `ACTIVE_STATE_LOCKED`

### Fields inherited from class org.flexdock.docking.props.ScopedDockablePropertySet

`DEFAULTS, GLOBALS, ROOT_PROPS`

### Fields inherited from interface org.flexdock.docking.props.DockablePropertySet

`ACTIVE, DESCRIPTION, DOCKBAR_ICON, DOCKING_ENABLED, DRAG_THRESHOLD, MOUSE_MOTION_DRAG_BLOCK, PREVIEW_SIZE, REGION_SIZE_EAST, REGION_SIZE_NORTH, REGION_SIZE_SOUTH, REGION_SIZE_WEST, SIBLING_SIZE_EAST, SIBLING_SIZE_NORTH, SIBLING_SIZE_SOUTH, SIBLING_SIZE_WEST, TAB_ICON, TERRITORY_BLOCKED_CENTER, TERRITORY_BLOCKED_EAST, TERRITORY_BLOCKED_NORTH, TERRITORY_BLOCKED_SOUTH, TERRITORY_BLOCKED_WEST`

### Fields inherited from interface org.flexdock.docking.DockingConstants

`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

### Constructor Summary

Constructors
Constructor and Description
`ViewProps(int initialCapacity, View view)`
`ViewProps(View view)`

### Method Summary

Methods
`protected void` `constrainRoot(java.lang.Object key, java.lang.Object value)`
`protected void` `init()`
`java.lang.Boolean` `isActiveStateLocked()`
`void` `setActive(boolean active)`
`void` `setActiveStateLocked(boolean locked)`

### Methods inherited from class org.flexdock.docking.props.ScopedDockablePropertySet

`getDefaults, getDockableDesc, getDragThreshold, getGlobals, getLocals, getPreviewSize, getRegionInset, getRoot, getSiblingSize, isActive, isDockingEnabled, isMouseMotionListenersBlockedWhileDragging, isTerritoryBlocked`

### Methods inherited from class org.flexdock.docking.props.BasicDockablePropertySet

`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getDockbarIcon, getDockingId, getRegionInsetKey, getSiblingSizeKey, getTabIcon, getTerritoryBlockedKey, removePropertyChangeListener, setDockableDesc, setDockbarIcon, setDockingEnabled, setDragTheshold, setMouseMotionListenersBlockedWhileDragging, setPreviewSize, setRegionInset, setSiblingSize, setTabIcon, setTerritoryBlocked`

### Methods inherited from class org.flexdock.util.TypedHashtable

`get, get, get, get, get, get, get, get, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getShort, getString, put, put, put, put, put, put, put, put, put`

### Methods inherited from class java.util.Hashtable

`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.flexdock.docking.props.DockablePropertySet

`put, remove`

### Field Detail

#### ACTIVE_STATE_LOCKED

    public static final java.lang.String ACTIVE_STATE_LOCKED

See Also:
  Constant Field Values

### Constructor Detail

#### ViewProps

    public ViewProps(View view)

#### ViewProps

    public ViewProps(int initialCapacity,
             View view)

### Method Detail

#### init

    protected void init()

#### constrainRoot

    protected void constrainRoot(java.lang.Object key,
                     java.lang.Object value)

#### isActiveStateLocked

    public java.lang.Boolean isActiveStateLocked()

#### setActiveStateLocked

    public void setActiveStateLocked(boolean locked)

#### setActive

    public void setActive(boolean active)

Specified by:
  `setActive` in interface `DockablePropertySet`
Overrides:
  `setActive` in class `BasicDockablePropertySet`